package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouVideoGet;
import cn.com.ctop.kuaishou.modules.batch.entity.vo.KuaiShouVideoGetVo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 快手-获取视频接口
 * @Author: jeecg-boot
 * @Date: 2019-07-25
 * @Version: V1.0
 */



public interface IKuaiShouVideoGetService extends IService<KuaiShouVideoGet> {
    void replaceBatch(List<KuaiShouVideoGet> videoGets);

    void getKeyFrame(String token, Long accountId, String md5, String photoId);

    List<KuaiShouVideoGetVo> getVideoList(Map<String, Object> stringObjectMap);

    List<KuaiShouVideoGet> getNewVideoByAccountId(Long accountId,Integer videoAiStatus);

    List<KuaiShouVideoGet> getNewVideoDescDate(Long accountId,Integer newVideoCnt);

    List<KuaiShouVideoGet> getNewVideoBetweenTime(Long accountId,String startTime, String endTime);

    List<JSONObject> getVideoListByMap(Map<String, Object> requestMap);

    List<KuaiShouVideoGet> selectPhotoIdsByAccountId(Long accountId);

    KuaiShouVideoGet getVideoByPhotoId(Long photo_id);
}
